<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->
<project xmlns:util="jelly:util"
         xmlns:dist="dist"
         xmlns:j="jelly:core">
         
  <goal name="testPlugin" prereqs="test-dist">
  </goal>
  
  <goal name="test-dist">
<!--
    <echo>dist dir is ${maven.dist.dir}</echo>
    <attainGoal name="dist"/>
    <util:tokenize var="files" delim=",">-src.tar.gz,-src.zip,.tar.gz,.zip</util:tokenize>
    <j:forEach var="file" items="${files}">
-->
      <!-- NOTE: maven.dist.dir doesn't work here??? -->
<!--      <j:set var="expectedFile" value="${maven.build.dir}/distributions/test-maven-dist-plugin-1.0-SNAPSHOT${file}"/>
      <util:file var="file" name="${expectedFile}" />
      <j:if test="${!(file.exists())}">
        <fail>${expectedFile} not generated</fail>
      </j:if>
    </j:forEach>
-->
  </goal>
</project>